Hooks:PostHook(NewRaycastWeaponBase, "_chk_has_charms", "random_crewmate_color", function (self, parts)
    local charm = managers.weapon_factory:get_part_from_weapon_by_type("charm", parts)
    if not charm or not alive(charm.unit) then
        return
    end
    
    if charm.unit:name() ~= Idstring("units/mods/weapons/wpn_fps_upg_charm_crewmate/wpn_fps_upg_charm_crewmate") then
        return
    end

    local material = charm.unit:material(Idstring("mtr_charm"))
    if not material then
        return
    end
	
	local texture_name = "units/mods/weapons/wpn_fps_upg_charm_crewmate/crewmate"
	local rand_num = math.random(1,10)
	local texture_path = Idstring(texture_name .. rand_num)
    Application:set_material_texture(material, Idstring("diffuse_texture"), texture_path)
end)
